#!/bin/sh
echo
echo "  Modifying $top/server/Imakefile"

mv -f $top/server/Imakefile $top/server/Imakefile.$bak
if [ $? -gt 0 ]
then
	echo ""
	echo "  Error: Couldn't move server Imakefile to Imakefile.$bak"
	exit
fi

cp $top/server/Imakefile.$bak $top/server/Imakefile
chmod u+rw $top/server/Imakefile

ed - $top/server/Imakefile << '-*-END-*-'
g/#if[a-z]* *BuildSyncExt/.,/#endif/d
g/\$(SYNCSRC)/s/ *\$(SYNCSRC)//g
g/\$(SYNCLIB)/s/ *\$(SYNCLIB)//g
/#if BuildXInputExt/s/X/X/
/^$/i
#ifdef BuildSyncExt
           SYNCSRC = $(EXTENSIONSRC)/sync/server
           SYNCLIB = $(EXTENSIONSRC)/sync/server/libsync.a
#else
           SYNCSRC = /* nothing */
           SYNCLIB = /* nothing */
#endif
.
/DEPDIRS/s/$/ \$(SYNCSRC)/
/NONPEXEXTS/s/$/ \$(SYNCLIB)/
w
q
-*-END-*-

grep -s BuildSyncExt $top/server/Imakefile
if [ $? -gt 0 ]
then
	echo ""
	echo "  Error: Couldn't modify server Imakefile"
	exit
fi

chmod u-w $top/server/Imakefile

